#include<iostream>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n, l, x;
	x = -1;
	cin >> n >> l;
	int a[n];
	for (int i = 0; i < n; i++){
		cin >> a[i];
	}
	for (int i = 0; i < n; i++){
		if (a[i] <= l){
			x = i + 1;
			break;
		}
	}
	cout << x;
}